create database if not exists `intimate_source`;
use intimate_source;

CREATE TABLE IF NOT EXISTS `source_openrec` (
	uid bigint AUTO_INCREMENT,
	`url` text NOT NULL,
	`target_type` varchar(64) NOT NULL,
	`source` longtext DEFAULT NULL,
	`ext` json DEFAULT NULL,
	`pass_gob` blob DEFAULT NULL,
	`update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	`operator` int DEFAULT 0,
	`error_msg` text DEFAULT NULL,
	PRIMARY KEY(`uid`),
	KEY `operator_idx` (`operator`),
	KEY `update_time_idx` (`update_time`),
	KEY `target_type_idx` (`target_type`)
 );